------------------------------------------------------------------------------------
--Name:  	ChildrenDay3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-04-21
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(303, 308)
local Player_1 = CppScriptMgr:AddSimplePlayer(1058207, 303, 308, "WickedTrainer", 0, 0)
Player_1:SetDir(7)
Player_1:SetArmor(199255, 0, 1)
Player_1:SetHair(19, 1)
Player_1:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(480)
CppScriptMgr:NpcCallOut("It`s unfair! I am the champion! Maisie is just lucky!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "WickedTrainer", 250, 655, false)
Player_1:SetAction(170)
CppScriptMgr:WaitMilSec(2320)
CppScriptMgr:NpcCallOut("I will prove to you that I am the best trainer!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "WickedTrainer", 250, 655, false)
CppScriptMgr:WaitMilSec(80)
Player_1:SetAction(160)
CppScriptMgr:WaitMilSec(560)
local Effect_1 = CppScriptMgr:AddEffect("CartoonDisplay", 303, 308, 33, 1, 1, 1)
Effect_1:Scale(1.5, 1.5, 1.5)
local effect_0 = CppScriptMgr:AddEffect("CartoonDisplay", 322, 411, 33, 1, 1, 1)
effect_0:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(1590)
CppScriptMgr:SetViewPosByCell(322, 407)
CppScriptMgr:WaitMilSec(410)
local Player_2 = CppScriptMgr:AddPlayer(400, 322, 411, "", 0, 0)
Player_2:SetDir(5)
local Effect_2 = CppScriptMgr:AddEffect("zf2-e233", 326, 406, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
Player_1:SetPos(326, 406)
Player_1:SetDir(1)
CppScriptMgr:WaitMilSec(970)
Player_1:SetAction(401)
CppScriptMgr:WaitMilSec(740)
Player_2:AddEffect("KillerPattern", 33)
CppScriptMgr:WaitMilSec(1260)
Player_2:Say("I`m here for you, my lord.", 1500)
Player_2:SetAction(220)
CppScriptMgr:WaitMilSec(670)
local Effect_4 = CppScriptMgr:AddEffect("CartoonDisplay", 348, 454, 33, 1, 1, 1)
Effect_4:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(820)
CppScriptMgr:NpcCallOut("I nailed it! Try to defeat that stone critter!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "WickedTrainer", 250, 655, false)
CppScriptMgr:WaitMilSec(200)
Player_1:SetAction(230)
CppScriptMgr:WaitMilSec(2210)
local effect_1 = CppScriptMgr:AddEffect("CartoonDisplay", 266, 316, 33, 1, 1, 1)
effect_1:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(480)
CppScriptMgr:SetViewPosByCell(266, 313)
CppScriptMgr:WaitMilSec(560)
local Player_3 = CppScriptMgr:AddPlayer(305, 266, 316, "", 0, 0)
CppScriptMgr:WaitMilSec(60)
Player_3:SetDir(5)
CppScriptMgr:WaitMilSec(940)
local Effect_5 = CppScriptMgr:AddEffect("zf2-e233", 269, 313, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(960)
Player_2:SetDir(1)
Player_2:SetPos(269, 313)
CppScriptMgr:WaitMilSec(1000)
Player_2:Say("Go to hell!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_2:SetAction(401)
CppScriptMgr:WaitMilSec(1000)
local Effect_6 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 266, 316, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
Player_3:SetAction(330)
CppScriptMgr:WaitMilSec(1000)
Player_3:SetAction(331)
Player_3:SetFrameInterval(10000)
CppScriptMgr:WaitMilSec(1000)
local Effect_7 = CppScriptMgr:AddEffect("zf2-e233", 263, 310, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetPos(263, 310)
Player_1:SetDir(7)
CppScriptMgr:WaitMilSec(930)
Player_1:SetAction(401)
local Effect_8 = CppScriptMgr:AddEffect("ride_screen", 263, 310, 33, 1, 1, 1)
CppScriptMgr:NpcCallOut("Well done! Kill all rebellious critters and make them bend to me.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc28985", 150, 430, "WickedTrainer", 250, 655, false)
CppScriptMgr:WaitMilSec(1010)
Player_1:SetAction(230)
CppScriptMgr:WaitMilSec(1210)